import React, { useEffect, useState } from 'react';
import { useNavigate } from 'react-router-dom';
import Sidebar from '../sidebar/Sidebar';
import '../../styles/EmployeeDashboard.css'; 

const classNames = {
  container: 'dashboard-container',
  content: 'dashboard-content',
  header: 'dashboard-header',
  headerTitle: 'header-title',
  welcomeText: 'welcome-text',
  main: 'dashboard-main',
  mainContent: 'dashboard-main-content',
  image: 'dashboard-image',
  button: 'btn-primary',
};

const EmployeeDashboard = () => {
  const navigate = useNavigate();
  const [userName, setUserName] = useState('');

  useEffect(() => {
    const user = JSON.parse(localStorage.getItem('user'));
    if (user && user.name) {
      setUserName(user.name);
    }
  }, []);

  const handleClick = (link) => {
    navigate(link);
  };

  return (
    <div className={classNames.container}>
      <Sidebar />
      <div className={classNames.content}>
        <header className={classNames.header}>
          <div className="flex items-center">
            <h1 className={classNames.headerTitle}>Home</h1>
          </div>
          <div>
            <p className={classNames.welcomeText}>Welcome back, {userName}</p>
          </div>
        </header>
        <main className={classNames.main}>
          <div className={classNames.mainContent}>
            <img src="path_to_image" alt="Suit" className={classNames.image} />
            <button
              className={classNames.button}
              onClick={() => handleClick('/customers')}
            >
              Create a New Order
            </button>
            <button
              className={classNames.button}
              onClick={() => handleClick('')}
            >
              View Orders
            </button>
            <button
              className={classNames.button}
              onClick={() => handleClick('')}
            >
              View Customers
            </button>
          </div>
        </main>
      </div>
    </div>
  );
};

export default EmployeeDashboard;
